com.aliyun.svideosdk.transcode

## Class NativeParser

- java.lang.Object
- - AbstractNativeLoader
  - - com.aliyun.svideosdk.transcode.NativeParser

-     public class NativeParser
      extends AbstractNativeLoader

  Media info Parser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AUDIO_BIT_RATE`
    `static int` | `AUDIO_CHANNELS`
    `static int` | `AUDIO_CODEC`
    `static int` | `AUDIO_DURATION`
    `static int` | `AUDIO_FORAMT`
    `static int` | `AUDIO_FRAME_COUNT`
    `static int` | `AUDIO_FRAME_SAMPLES`
    `static int` | `AUDIO_SAMPLE_RATE`
    `static int` | `AUDIO_START_TIME`
    `static int` | `AUDIO_STREAM_DIC_KEY_START`
    `static int` | `AUDIO_STREAM_INDEX`
    `static int` | `DIC_KEY_END`
    `static int` | `FILE_BIT_RATE`
    `static int` | `FILE_DIC_KEY_START`
    `static int` | `FILE_DURATION`
    `static int` | `FILE_FORMAT`
    `static int` | `FILE_NAME`
    `static int` | `FILE_START_TIME`
    `static java.lang.String` | `VALUE_WRONG`
    `static int` | `VIDEO_BIT_RATE`
    `static int` | `VIDEO_CODEC`
    `static int` | `VIDEO_CODEC_HEIGHT`
    `static int` | `VIDEO_CODEC_WIDTH`
    `static int` | `VIDEO_DURATION`
    `static int` | `VIDEO_FORMAT`
    `static int` | `VIDEO_FPS`
    `static int` | `VIDEO_FRAME_COUNT`
    `static int` | `VIDEO_GOP`
    `static int` | `VIDEO_HEIGHT`
    `static int` | `VIDEO_MAX_BFRAME`
    `static int` | `VIDEO_ROTATION`
    `static int` | `VIDEO_START_TIME`
    `static int` | `VIDEO_STREAM_DIC_KEY_START`
    `static int` | `VIDEO_STREAM_INDEX`
    `static int` | `VIDEO_WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkBFrame()` Check has b frame
    `boolean` | `checkIfSupportedImage(java.lang.String filePath)`
    `boolean` | `checkInvertAvailable()`
    `void` | `dispose()` Dispose
    `int` | `getMaxGopSize()`
    `java.lang.String` | `getValue(int key)` Get Media Info by key
    `int` | `init(java.lang.String file)` Initialization for a single procedure
    `void` | `print()`
    `void` | `release()` release for a single procedure

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALUE_WRONG

          public static final java.lang.String VALUE_WRONG

      See Also:
        Constant Field Values

    - #### VIDEO_STREAM_DIC_KEY_START

          public static final int VIDEO_STREAM_DIC_KEY_START

      See Also:
        Constant Field Values

    - #### VIDEO_STREAM_INDEX

          public static final int VIDEO_STREAM_INDEX

      See Also:
        Constant Field Values

    - #### VIDEO_CODEC

          public static final int VIDEO_CODEC

      See Also:
        Constant Field Values

    - #### VIDEO_START_TIME

          public static final int VIDEO_START_TIME

      See Also:
        Constant Field Values

    - #### VIDEO_DURATION

          public static final int VIDEO_DURATION

      See Also:
        Constant Field Values

    - #### VIDEO_FRAME_COUNT

          public static final int VIDEO_FRAME_COUNT

      See Also:
        Constant Field Values

    - #### VIDEO_BIT_RATE

          public static final int VIDEO_BIT_RATE

      See Also:
        Constant Field Values

    - #### VIDEO_WIDTH

          public static final int VIDEO_WIDTH

      See Also:
        Constant Field Values

    - #### VIDEO_HEIGHT

          public static final int VIDEO_HEIGHT

      See Also:
        Constant Field Values

    - #### VIDEO_CODEC_WIDTH

          public static final int VIDEO_CODEC_WIDTH

      See Also:
        Constant Field Values

    - #### VIDEO_CODEC_HEIGHT

          public static final int VIDEO_CODEC_HEIGHT

      See Also:
        Constant Field Values

    - #### VIDEO_FORMAT

          public static final int VIDEO_FORMAT

      See Also:
        Constant Field Values

    - #### VIDEO_GOP

          public static final int VIDEO_GOP

      See Also:
        Constant Field Values

    - #### VIDEO_MAX_BFRAME

          public static final int VIDEO_MAX_BFRAME

      See Also:
        Constant Field Values

    - #### VIDEO_FPS

          public static final int VIDEO_FPS

      See Also:
        Constant Field Values

    - #### VIDEO_ROTATION

          public static final int VIDEO_ROTATION

      See Also:
        Constant Field Values

    - #### AUDIO_STREAM_DIC_KEY_START

          public static final int AUDIO_STREAM_DIC_KEY_START

      See Also:
        Constant Field Values

    - #### AUDIO_STREAM_INDEX

          public static final int AUDIO_STREAM_INDEX

      See Also:
        Constant Field Values

    - #### AUDIO_CODEC

          public static final int AUDIO_CODEC

      See Also:
        Constant Field Values

    - #### AUDIO_START_TIME

          public static final int AUDIO_START_TIME

      See Also:
        Constant Field Values

    - #### AUDIO_DURATION

          public static final int AUDIO_DURATION

      See Also:
        Constant Field Values

    - #### AUDIO_FRAME_COUNT

          public static final int AUDIO_FRAME_COUNT

      See Also:
        Constant Field Values

    - #### AUDIO_BIT_RATE

          public static final int AUDIO_BIT_RATE

      See Also:
        Constant Field Values

    - #### AUDIO_CHANNELS

          public static final int AUDIO_CHANNELS

      See Also:
        Constant Field Values

    - #### AUDIO_SAMPLE_RATE

          public static final int AUDIO_SAMPLE_RATE

      See Also:
        Constant Field Values

    - #### AUDIO_FORAMT

          public static final int AUDIO_FORAMT

      See Also:
        Constant Field Values

    - #### AUDIO_FRAME_SAMPLES

          public static final int AUDIO_FRAME_SAMPLES

      See Also:
        Constant Field Values

    - #### FILE_DIC_KEY_START

          public static final int FILE_DIC_KEY_START

      See Also:
        Constant Field Values

    - #### FILE_NAME

          public static final int FILE_NAME

      See Also:
        Constant Field Values

    - #### FILE_FORMAT

          public static final int FILE_FORMAT

      See Also:
        Constant Field Values

    - #### FILE_START_TIME

          public static final int FILE_START_TIME

      See Also:
        Constant Field Values

    - #### FILE_DURATION

          public static final int FILE_DURATION

      See Also:
        Constant Field Values

    - #### FILE_BIT_RATE

          public static final int FILE_BIT_RATE

      See Also:
        Constant Field Values

    - #### DIC_KEY_END

          public static final int DIC_KEY_END

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NativeParser

          public NativeParser()

  - ### Method Detail

    - #### dispose

          public void dispose()

      Dispose

    - #### init

          public int init(java.lang.String file)

      Initialization for a single procedure

    - #### release

          public void release()

      release for a single procedure

    - #### getValue

          public java.lang.String getValue(int key)

      Get Media Info by key
      Parameters:
        `key` -

    - #### checkInvertAvailable

          public boolean checkInvertAvailable()

    - #### checkBFrame

          public boolean checkBFrame()

      Check has b frame

    - #### checkIfSupportedImage

          public boolean checkIfSupportedImage(java.lang.String filePath)

    - #### getMaxGopSize

          public int getMaxGopSize()

    - #### print

          public void print()